Docs

Deployment groups

List deployment groups

GET
/v1/deployment-groups

Authorization

AuthorizationBearer <token>

API key for authentication, must be provided as a Bearer token. Generate an API key at https://alien.dev/api-keys

In: header

Query Parameters

workspace?string

Workspace name or ID. Required for user/session/OAuth requests. Optional for API keys because API keys are workspace-scoped; if provided with an API key, it must identify the key's workspace.

Match^(?:ws_[0-9a-zA-Z]{24}|(?!ws[-_])[a-z0-9](-?[a-z0-9])*)$
Length4 <= length <= 100
project?string

Filter by project ID or name.

Lengthlength <= 100
search?string

Search deployment groups by name

include?array<>

Optional fields to include: project

limit?integer

Maximum number of items to return per page

Range1 <= value <= 100
Default20
cursor?string

Cursor for pagination - omit for first page

Response Body

application/json

application/json

application/json

curl -X GET "https://example.com/v1/deployment-groups?project=my-project"
{  "items": [    {      "id": "dg_r27ict8c7vcgsumpj90ackf7b",      "name": "prod-us-east-1",      "externalId": "ext_example_01",      "projectId": "prj_mcytp6z3j91f7tn5ryqsfwtr",      "workspaceId": "ws_It13CUaGEhLLAB87simX0",      "maxDeployments": 100,      "createdAt": "2019-08-24T14:15:22Z",      "project": {        "id": "string",        "name": "string"      }    }  ],  "nextCursor": "string"}
POST
/v1/deployment-groups

Authorization

AuthorizationBearer <token>

API key for authentication, must be provided as a Bearer token. Generate an API key at https://alien.dev/api-keys

In: header

Query Parameters

workspace?string

Workspace name or ID. Required for user/session/OAuth requests. Optional for API keys because API keys are workspace-scoped; if provided with an API key, it must identify the key's workspace.

Match^(?:ws_[0-9a-zA-Z]{24}|(?!ws[-_])[a-z0-9](-?[a-z0-9])*)$
Length4 <= length <= 100

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/v1/deployment-groups" \  -H "Content-Type: application/json" \  -d '{    "name": "prod-us-east-1",    "project": "string"  }'
{  "id": "dg_r27ict8c7vcgsumpj90ackf7b",  "name": "prod-us-east-1",  "externalId": "ext_example_01",  "projectId": "prj_mcytp6z3j91f7tn5ryqsfwtr",  "workspaceId": "ws_It13CUaGEhLLAB87simX0",  "maxDeployments": 100,  "createdAt": "2019-08-24T14:15:22Z"}
PUT
/v1/deployment-groups/by-name

Authorization

AuthorizationBearer <token>

API key for authentication, must be provided as a Bearer token. Generate an API key at https://alien.dev/api-keys

In: header

Query Parameters

workspace?string

Workspace name or ID. Required for user/session/OAuth requests. Optional for API keys because API keys are workspace-scoped; if provided with an API key, it must identify the key's workspace.

Match^(?:ws_[0-9a-zA-Z]{24}|(?!ws[-_])[a-z0-9](-?[a-z0-9])*)$
Length4 <= length <= 100

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

curl -X PUT "https://example.com/v1/deployment-groups/by-name" \  -H "Content-Type: application/json" \  -d '{    "name": "prod-us-east-1",    "project": "string"  }'
{  "id": "dg_r27ict8c7vcgsumpj90ackf7b",  "name": "prod-us-east-1",  "externalId": "ext_example_01",  "projectId": "prj_mcytp6z3j91f7tn5ryqsfwtr",  "workspaceId": "ws_It13CUaGEhLLAB87simX0",  "maxDeployments": 100,  "createdAt": "2019-08-24T14:15:22Z"}
GET
/v1/deployment-groups/by-external-id

Authorization

AuthorizationBearer <token>

API key for authentication, must be provided as a Bearer token. Generate an API key at https://alien.dev/api-keys

In: header

Query Parameters

workspace?string

Workspace name or ID. Required for user/session/OAuth requests. Optional for API keys because API keys are workspace-scoped; if provided with an API key, it must identify the key's workspace.

Match^(?:ws_[0-9a-zA-Z]{24}|(?!ws[-_])[a-z0-9](-?[a-z0-9])*)$
Length4 <= length <= 100
project?string

Project ID or name. Optional for project-scoped API keys.

Lengthlength <= 100
externalId*string

Case-sensitive, URL- and header-safe identifier from the integrating application.

Match^[A-Za-z0-9][A-Za-z0-9._~-]*$
Length1 <= length <= 128

Response Body

application/json

application/json

application/json

curl -X GET "https://example.com/v1/deployment-groups/by-external-id?externalId=ext_example_01"
{  "id": "dg_r27ict8c7vcgsumpj90ackf7b",  "name": "prod-us-east-1",  "externalId": "ext_example_01",  "projectId": "prj_mcytp6z3j91f7tn5ryqsfwtr",  "workspaceId": "ws_It13CUaGEhLLAB87simX0",  "maxDeployments": 100,  "createdAt": "2019-08-24T14:15:22Z"}
PUT
/v1/deployment-groups/by-external-id

Authorization

AuthorizationBearer <token>

API key for authentication, must be provided as a Bearer token. Generate an API key at https://alien.dev/api-keys

In: header

Query Parameters

workspace?string

Workspace name or ID. Required for user/session/OAuth requests. Optional for API keys because API keys are workspace-scoped; if provided with an API key, it must identify the key's workspace.

Match^(?:ws_[0-9a-zA-Z]{24}|(?!ws[-_])[a-z0-9](-?[a-z0-9])*)$
Length4 <= length <= 100

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

curl -X PUT "https://example.com/v1/deployment-groups/by-external-id" \  -H "Content-Type: application/json" \  -d '{    "externalId": "ext_example_01",    "name": "prod-us-east-1",    "project": "string"  }'
{  "id": "dg_r27ict8c7vcgsumpj90ackf7b",  "name": "prod-us-east-1",  "externalId": "ext_example_01",  "projectId": "prj_mcytp6z3j91f7tn5ryqsfwtr",  "workspaceId": "ws_It13CUaGEhLLAB87simX0",  "maxDeployments": 100,  "createdAt": "2019-08-24T14:15:22Z"}
GET
/v1/deployment-groups/{id}

Authorization

AuthorizationBearer <token>

API key for authentication, must be provided as a Bearer token. Generate an API key at https://alien.dev/api-keys

In: header

Path Parameters

id*string

Unique identifier for the deployment group.

Matchdg_[0-9a-z]{28}$

Query Parameters

workspace?string

Workspace name or ID. Required for user/session/OAuth requests. Optional for API keys because API keys are workspace-scoped; if provided with an API key, it must identify the key's workspace.

Match^(?:ws_[0-9a-zA-Z]{24}|(?!ws[-_])[a-z0-9](-?[a-z0-9])*)$
Length4 <= length <= 100
include?array<>

Optional fields to include: project

Response Body

application/json

application/json

application/json

curl -X GET "https://example.com/v1/deployment-groups/dg_r27ict8c7vcgsumpj90ackf7b"
{  "id": "dg_r27ict8c7vcgsumpj90ackf7b",  "name": "prod-us-east-1",  "externalId": "ext_example_01",  "projectId": "prj_mcytp6z3j91f7tn5ryqsfwtr",  "workspaceId": "ws_It13CUaGEhLLAB87simX0",  "maxDeployments": 100,  "createdAt": "2019-08-24T14:15:22Z",  "project": {    "id": "string",    "name": "string"  },  "deploymentCount": 0}

Update deployment group

PATCH
/v1/deployment-groups/{id}

Authorization

AuthorizationBearer <token>

API key for authentication, must be provided as a Bearer token. Generate an API key at https://alien.dev/api-keys

In: header

Path Parameters

id*string

Unique identifier for the deployment group.

Matchdg_[0-9a-z]{28}$

Query Parameters

workspace?string

Workspace name or ID. Required for user/session/OAuth requests. Optional for API keys because API keys are workspace-scoped; if provided with an API key, it must identify the key's workspace.

Match^(?:ws_[0-9a-zA-Z]{24}|(?!ws[-_])[a-z0-9](-?[a-z0-9])*)$
Length4 <= length <= 100

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

curl -X PATCH "https://example.com/v1/deployment-groups/dg_r27ict8c7vcgsumpj90ackf7b" \  -H "Content-Type: application/json" \  -d '{}'
{  "id": "dg_r27ict8c7vcgsumpj90ackf7b",  "name": "prod-us-east-1",  "externalId": "ext_example_01",  "projectId": "prj_mcytp6z3j91f7tn5ryqsfwtr",  "workspaceId": "ws_It13CUaGEhLLAB87simX0",  "maxDeployments": 100,  "createdAt": "2019-08-24T14:15:22Z"}

Delete deployment group

DELETE
/v1/deployment-groups/{id}

Authorization

AuthorizationBearer <token>

API key for authentication, must be provided as a Bearer token. Generate an API key at https://alien.dev/api-keys

In: header

Path Parameters

id*string

Unique identifier for the deployment group.

Matchdg_[0-9a-z]{28}$

Query Parameters

workspace?string

Workspace name or ID. Required for user/session/OAuth requests. Optional for API keys because API keys are workspace-scoped; if provided with an API key, it must identify the key's workspace.

Match^(?:ws_[0-9a-zA-Z]{24}|(?!ws[-_])[a-z0-9](-?[a-z0-9])*)$
Length4 <= length <= 100

Response Body

application/json

application/json

application/json

curl -X DELETE "https://example.com/v1/deployment-groups/dg_r27ict8c7vcgsumpj90ackf7b"
Empty
PUT
/v1/deployment-groups/{id}/external-id

Authorization

AuthorizationBearer <token>

API key for authentication, must be provided as a Bearer token. Generate an API key at https://alien.dev/api-keys

In: header

Path Parameters

id*string

Unique identifier for the deployment group.

Matchdg_[0-9a-z]{28}$

Query Parameters

workspace?string

Workspace name or ID. Required for user/session/OAuth requests. Optional for API keys because API keys are workspace-scoped; if provided with an API key, it must identify the key's workspace.

Match^(?:ws_[0-9a-zA-Z]{24}|(?!ws[-_])[a-z0-9](-?[a-z0-9])*)$
Length4 <= length <= 100

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

curl -X PUT "https://example.com/v1/deployment-groups/dg_r27ict8c7vcgsumpj90ackf7b/external-id" \  -H "Content-Type: application/json" \  -d '{    "externalId": "ext_example_01"  }'
{  "id": "dg_r27ict8c7vcgsumpj90ackf7b",  "name": "prod-us-east-1",  "externalId": "ext_example_01",  "projectId": "prj_mcytp6z3j91f7tn5ryqsfwtr",  "workspaceId": "ws_It13CUaGEhLLAB87simX0",  "maxDeployments": 100,  "createdAt": "2019-08-24T14:15:22Z"}
POST
/v1/deployment-groups/{id}/tokens

Creates a deployment-group scoped API key and returns both the token and formatted deployment link

Authorization

AuthorizationBearer <token>

API key for authentication, must be provided as a Bearer token. Generate an API key at https://alien.dev/api-keys

In: header

Path Parameters

id*string

Unique identifier for the deployment group.

Matchdg_[0-9a-z]{28}$

Query Parameters

workspace?string

Workspace name or ID. Required for user/session/OAuth requests. Optional for API keys because API keys are workspace-scoped; if provided with an API key, it must identify the key's workspace.

Match^(?:ws_[0-9a-zA-Z]{24}|(?!ws[-_])[a-z0-9](-?[a-z0-9])*)$
Length4 <= length <= 100

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/v1/deployment-groups/dg_r27ict8c7vcgsumpj90ackf7b/tokens" \  -H "Content-Type: application/json" \  -d '{}'
{  "token": "string",  "deploymentLink": "string"}
GET
/v1/deployment-groups/{id}/management-external-id

Returns the value to enter as the ManagementExternalId parameter when installing or updating this group's CloudFormation or Terraform setup from a template file. The management roles require it as sts:ExternalId. Requires the same permission as creating a setup link.

Authorization

AuthorizationBearer <token>

API key for authentication, must be provided as a Bearer token. Generate an API key at https://alien.dev/api-keys

In: header

Path Parameters

id*string

Unique identifier for the deployment group.

Matchdg_[0-9a-z]{28}$

Query Parameters

workspace?string

Workspace name or ID. Required for user/session/OAuth requests. Optional for API keys because API keys are workspace-scoped; if provided with an API key, it must identify the key's workspace.

Match^(?:ws_[0-9a-zA-Z]{24}|(?!ws[-_])[a-z0-9](-?[a-z0-9])*)$
Length4 <= length <= 100

Response Body

application/json

application/json

curl -X GET "https://example.com/v1/deployment-groups/dg_r27ict8c7vcgsumpj90ackf7b/management-external-id"
{  "managementExternalId": "string"}
POST
/v1/deployment-groups/{id}/first-party-session

Mints a short-lived deployment-group token with the recommended self-deploy policy for the authenticated developer.

Authorization

AuthorizationBearer <token>

API key for authentication, must be provided as a Bearer token. Generate an API key at https://alien.dev/api-keys

In: header

Path Parameters

id*string

Unique identifier for the deployment group.

Matchdg_[0-9a-z]{28}$

Query Parameters

workspace?string

Workspace name or ID. Required for user/session/OAuth requests. Optional for API keys because API keys are workspace-scoped; if provided with an API key, it must identify the key's workspace.

Match^(?:ws_[0-9a-zA-Z]{24}|(?!ws[-_])[a-z0-9](-?[a-z0-9])*)$
Length4 <= length <= 100

Response Body

application/json

application/json

application/json

curl -X POST "https://example.com/v1/deployment-groups/dg_r27ict8c7vcgsumpj90ackf7b/first-party-session"
{  "token": "string"}
GET
/v1/deployment-groups/{id}/ai/external

Authorization

AuthorizationBearer <token>

API key for authentication, must be provided as a Bearer token. Generate an API key at https://alien.dev/api-keys

In: header

Path Parameters

id*string

Unique identifier for the deployment group.

Matchdg_[0-9a-z]{28}$

Query Parameters

workspace?string

Workspace name or ID. Required for user/session/OAuth requests. Optional for API keys because API keys are workspace-scoped; if provided with an API key, it must identify the key's workspace.

Match^(?:ws_[0-9a-zA-Z]{24}|(?!ws[-_])[a-z0-9](-?[a-z0-9])*)$
Length4 <= length <= 100

Response Body

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/v1/deployment-groups/dg_r27ict8c7vcgsumpj90ackf7b/ai/external"
{  "binding": {    "id": "string",    "provider": "anthropic",    "providerEndpoint": "string",    "providerClientId": "string",    "keyFingerprint": "string",    "credentialRevision": 1,    "credentialStatus": "pending",    "credentialCheckedAt": "2019-08-24T14:15:22Z",    "catalogProviderModelIds": [      "string"    ],    "catalogObservedAt": "2019-08-24T14:15:22Z",    "requiredModelCoverage": [      {        "publicModelId": "string",        "available": true,        "accessStatus": "verified",        "accessObservedAt": "2019-08-24T14:15:22Z"      }    ],    "updatedAt": "2019-08-24T14:15:22Z"  }}
DELETE
/v1/deployment-groups/{id}/ai/external

Authorization

AuthorizationBearer <token>

API key for authentication, must be provided as a Bearer token. Generate an API key at https://alien.dev/api-keys

In: header

Path Parameters

id*string

Unique identifier for the deployment group.

Matchdg_[0-9a-z]{28}$

Query Parameters

workspace?string

Workspace name or ID. Required for user/session/OAuth requests. Optional for API keys because API keys are workspace-scoped; if provided with an API key, it must identify the key's workspace.

Match^(?:ws_[0-9a-zA-Z]{24}|(?!ws[-_])[a-z0-9](-?[a-z0-9])*)$
Length4 <= length <= 100

Response Body

application/json

application/json

application/json

curl -X DELETE "https://example.com/v1/deployment-groups/dg_r27ict8c7vcgsumpj90ackf7b/ai/external"
Empty
PUT
/v1/deployment-groups/{id}/ai/external

Authorization

AuthorizationBearer <token>

API key for authentication, must be provided as a Bearer token. Generate an API key at https://alien.dev/api-keys

In: header

Path Parameters

id*string

Unique identifier for the deployment group.

Matchdg_[0-9a-z]{28}$

Query Parameters

workspace?string

Workspace name or ID. Required for user/session/OAuth requests. Optional for API keys because API keys are workspace-scoped; if provided with an API key, it must identify the key's workspace.

Match^(?:ws_[0-9a-zA-Z]{24}|(?!ws[-_])[a-z0-9](-?[a-z0-9])*)$
Length4 <= length <= 100

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X PUT "https://example.com/v1/deployment-groups/dg_r27ict8c7vcgsumpj90ackf7b/ai/external" \  -H "Content-Type: application/json" \  -d '{    "provider": "anthropic",    "apiKey": "string",    "acknowledgeAlienCredentialAccess": true  }'
{  "id": "string",  "provider": "anthropic",  "providerEndpoint": "string",  "providerClientId": "string",  "keyFingerprint": "string",  "credentialRevision": 1,  "credentialStatus": "pending",  "credentialCheckedAt": "2019-08-24T14:15:22Z",  "catalogProviderModelIds": [    "string"  ],  "catalogObservedAt": "2019-08-24T14:15:22Z",  "requiredModelCoverage": [    {      "publicModelId": "string",      "available": true,      "accessStatus": "verified",      "accessObservedAt": "2019-08-24T14:15:22Z"    }  ],  "updatedAt": "2019-08-24T14:15:22Z"}
POST
/v1/deployment-groups/{id}/ai/external/models/{publicModelId}/checks

Authorization

AuthorizationBearer <token>

API key for authentication, must be provided as a Bearer token. Generate an API key at https://alien.dev/api-keys

In: header

Path Parameters

id*string

Unique identifier for the deployment group.

Matchdg_[0-9a-z]{28}$
publicModelId*string
Length1 <= length <= 256

Query Parameters

workspace?string

Workspace name or ID. Required for user/session/OAuth requests. Optional for API keys because API keys are workspace-scoped; if provided with an API key, it must identify the key's workspace.

Match^(?:ws_[0-9a-zA-Z]{24}|(?!ws[-_])[a-z0-9](-?[a-z0-9])*)$
Length4 <= length <= 100

Response Body

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/v1/deployment-groups/dg_r27ict8c7vcgsumpj90ackf7b/ai/external/models/string/checks"
{  "id": "string",  "publicModel": "string",  "status": "pending",  "blockerCode": "string",  "error": null,  "requestedAt": "2019-08-24T14:15:22Z",  "completedAt": "2019-08-24T14:15:22Z"}
GET
/v1/deployment-groups/{id}/ai/external/model-checks/{checkId}

Authorization

AuthorizationBearer <token>

API key for authentication, must be provided as a Bearer token. Generate an API key at https://alien.dev/api-keys

In: header

Path Parameters

id*string

Unique identifier for the deployment group.

Matchdg_[0-9a-z]{28}$
checkId*string

Query Parameters

workspace?string

Workspace name or ID. Required for user/session/OAuth requests. Optional for API keys because API keys are workspace-scoped; if provided with an API key, it must identify the key's workspace.

Match^(?:ws_[0-9a-zA-Z]{24}|(?!ws[-_])[a-z0-9](-?[a-z0-9])*)$
Length4 <= length <= 100

Response Body

application/json

application/json

application/json

curl -X GET "https://example.com/v1/deployment-groups/dg_r27ict8c7vcgsumpj90ackf7b/ai/external/model-checks/string"
{  "id": "string",  "publicModel": "string",  "status": "pending",  "blockerCode": "string",  "error": null,  "requestedAt": "2019-08-24T14:15:22Z",  "completedAt": "2019-08-24T14:15:22Z"}

Get Container Registry

GET
/v1/deployment-groups/{id}/container-registry

Authorization

AuthorizationBearer <token>

API key for authentication, must be provided as a Bearer token. Generate an API key at https://alien.dev/api-keys

In: header

Path Parameters

id*string

Unique identifier for the deployment group.

Matchdg_[0-9a-z]{28}$

Query Parameters

workspace?string

Workspace name or ID. Required for user/session/OAuth requests. Optional for API keys because API keys are workspace-scoped; if provided with an API key, it must identify the key's workspace.

Match^(?:ws_[0-9a-zA-Z]{24}|(?!ws[-_])[a-z0-9](-?[a-z0-9])*)$
Length4 <= length <= 100

Response Body

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/v1/deployment-groups/dg_r27ict8c7vcgsumpj90ackf7b/container-registry"
{  "route": {    "id": "crroute_c9t4xoy7fmiq7equtu20",    "deploymentId": "dep_0c29fq4a2yjb7kx3smwdgxlc",    "managerId": "string",    "resourceId": "string",    "resourceRevision": "string",    "desiredRevision": 0,    "appliedRevision": 0,    "status": "resolving",    "lastVerifiedAt": "2019-08-24T14:15:22Z",    "lastError": "string"  },  "endpoint": {    "url": "http://example.com",    "source": "runtime"  },  "repositories": [    {      "id": "crrepo_625temdq3bnu25jw9rcux",      "logicalName": "string",      "desiredState": "present",      "status": "pending",      "verifiedAt": "2019-08-24T14:15:22Z"    }  ],  "credentials": [    {      "id": "crcred_oz1xjr82f37j17g4gtmyu",      "label": "string",      "scope": "pull",      "repositorySubset": [        "string"      ],      "expiresAt": "2019-08-24T14:15:22Z",      "lastUsedAt": "2019-08-24T14:15:22Z",      "revokedAt": "2019-08-24T14:15:22Z",      "createdAt": "2019-08-24T14:15:22Z"    }  ]}

Put Container Registry

PUT
/v1/deployment-groups/{id}/container-registry

Authorization

AuthorizationBearer <token>

API key for authentication, must be provided as a Bearer token. Generate an API key at https://alien.dev/api-keys

In: header

Path Parameters

id*string

Unique identifier for the deployment group.

Matchdg_[0-9a-z]{28}$

Query Parameters

workspace?string

Workspace name or ID. Required for user/session/OAuth requests. Optional for API keys because API keys are workspace-scoped; if provided with an API key, it must identify the key's workspace.

Match^(?:ws_[0-9a-zA-Z]{24}|(?!ws[-_])[a-z0-9](-?[a-z0-9])*)$
Length4 <= length <= 100

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

curl -X PUT "https://example.com/v1/deployment-groups/dg_r27ict8c7vcgsumpj90ackf7b/container-registry" \  -H "Content-Type: application/json" \  -d '{    "deploymentId": "dep_0c29fq4a2yjb7kx3smwdgxlc",    "resourceId": "string"  }'
{  "id": "crroute_c9t4xoy7fmiq7equtu20",  "deploymentId": "dep_0c29fq4a2yjb7kx3smwdgxlc",  "managerId": "string",  "resourceId": "string",  "resourceRevision": "string",  "desiredRevision": 0,  "appliedRevision": 0,  "status": "resolving",  "lastVerifiedAt": "2019-08-24T14:15:22Z",  "lastError": "string"}
POST
/v1/deployment-groups/{id}/container-registry/repositories

Authorization

AuthorizationBearer <token>

API key for authentication, must be provided as a Bearer token. Generate an API key at https://alien.dev/api-keys

In: header

Path Parameters

id*string

Unique identifier for the deployment group.

Matchdg_[0-9a-z]{28}$

Query Parameters

workspace?string

Workspace name or ID. Required for user/session/OAuth requests. Optional for API keys because API keys are workspace-scoped; if provided with an API key, it must identify the key's workspace.

Match^(?:ws_[0-9a-zA-Z]{24}|(?!ws[-_])[a-z0-9](-?[a-z0-9])*)$
Length4 <= length <= 100

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/v1/deployment-groups/dg_r27ict8c7vcgsumpj90ackf7b/container-registry/repositories" \  -H "Content-Type: application/json" \  -d '{    "name": "string"  }'
{  "id": "crrepo_625temdq3bnu25jw9rcux",  "logicalName": "string",  "desiredState": "present",  "status": "pending",  "verifiedAt": "2019-08-24T14:15:22Z"}
POST
/v1/deployment-groups/{id}/container-registry/credentials

Authorization

AuthorizationBearer <token>

API key for authentication, must be provided as a Bearer token. Generate an API key at https://alien.dev/api-keys

In: header

Path Parameters

id*string

Unique identifier for the deployment group.

Matchdg_[0-9a-z]{28}$

Query Parameters

workspace?string

Workspace name or ID. Required for user/session/OAuth requests. Optional for API keys because API keys are workspace-scoped; if provided with an API key, it must identify the key's workspace.

Match^(?:ws_[0-9a-zA-Z]{24}|(?!ws[-_])[a-z0-9](-?[a-z0-9])*)$
Length4 <= length <= 100

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/v1/deployment-groups/dg_r27ict8c7vcgsumpj90ackf7b/container-registry/credentials" \  -H "Content-Type: application/json" \  -d '{    "label": "string",    "scope": "pull"  }'
{  "credential": {    "id": "crcred_oz1xjr82f37j17g4gtmyu",    "label": "string",    "scope": "pull",    "repositorySubset": [      "string"    ],    "expiresAt": "2019-08-24T14:15:22Z",    "lastUsedAt": "2019-08-24T14:15:22Z",    "revokedAt": "2019-08-24T14:15:22Z",    "createdAt": "2019-08-24T14:15:22Z"  },  "username": "alien",  "password": "string"}
DELETE
/v1/deployment-groups/{id}/container-registry/credentials/{credentialId}

Authorization

AuthorizationBearer <token>

API key for authentication, must be provided as a Bearer token. Generate an API key at https://alien.dev/api-keys

In: header

Path Parameters

id*string

Unique identifier for the deployment group.

Matchdg_[0-9a-z]{28}$
credentialId*string

Unique identifier for the container registry credential.

Matchcrcred_[0-9a-z]{28}$

Query Parameters

workspace?string

Workspace name or ID. Required for user/session/OAuth requests. Optional for API keys because API keys are workspace-scoped; if provided with an API key, it must identify the key's workspace.

Match^(?:ws_[0-9a-zA-Z]{24}|(?!ws[-_])[a-z0-9](-?[a-z0-9])*)$
Length4 <= length <= 100

Response Body

application/json

application/json

application/json

curl -X DELETE "https://example.com/v1/deployment-groups/dg_r27ict8c7vcgsumpj90ackf7b/container-registry/credentials/crcred_oz1xjr82f37j17g4gtmyu"
Empty
DELETE
/v1/deployment-groups/{id}/container-registry/repositories/{repositoryId}

Authorization

AuthorizationBearer <token>

API key for authentication, must be provided as a Bearer token. Generate an API key at https://alien.dev/api-keys

In: header

Path Parameters

id*string

Unique identifier for the deployment group.

Matchdg_[0-9a-z]{28}$
repositoryId*string

Unique identifier for the container registry repository.

Matchcrrepo_[0-9a-z]{28}$

Query Parameters

workspace?string

Workspace name or ID. Required for user/session/OAuth requests. Optional for API keys because API keys are workspace-scoped; if provided with an API key, it must identify the key's workspace.

Match^(?:ws_[0-9a-zA-Z]{24}|(?!ws[-_])[a-z0-9](-?[a-z0-9])*)$
Length4 <= length <= 100

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

curl -X DELETE "https://example.com/v1/deployment-groups/dg_r27ict8c7vcgsumpj90ackf7b/container-registry/repositories/crrepo_625temdq3bnu25jw9rcux" \  -H "Content-Type: application/json" \  -d '{    "confirmName": "string",    "disposition": "preserve"  }'
{  "id": "crrepo_625temdq3bnu25jw9rcux",  "logicalName": "string",  "desiredState": "present",  "status": "pending",  "verifiedAt": "2019-08-24T14:15:22Z"}
POST
/v1/deployment-groups/{id}/container-registry/verify

Authorization

AuthorizationBearer <token>

API key for authentication, must be provided as a Bearer token. Generate an API key at https://alien.dev/api-keys

In: header

Path Parameters

id*string

Unique identifier for the deployment group.

Matchdg_[0-9a-z]{28}$

Query Parameters

workspace?string

Workspace name or ID. Required for user/session/OAuth requests. Optional for API keys because API keys are workspace-scoped; if provided with an API key, it must identify the key's workspace.

Match^(?:ws_[0-9a-zA-Z]{24}|(?!ws[-_])[a-z0-9](-?[a-z0-9])*)$
Length4 <= length <= 100

Response Body

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/v1/deployment-groups/dg_r27ict8c7vcgsumpj90ackf7b/container-registry/verify"
{  "id": "crroute_c9t4xoy7fmiq7equtu20",  "deploymentId": "dep_0c29fq4a2yjb7kx3smwdgxlc",  "managerId": "string",  "resourceId": "string",  "resourceRevision": "string",  "desiredRevision": 0,  "appliedRevision": 0,  "status": "resolving",  "lastVerifiedAt": "2019-08-24T14:15:22Z",  "lastError": "string"}
POST
/v1/deployment-groups/{id}/container-registry/revoke

Authorization

AuthorizationBearer <token>

API key for authentication, must be provided as a Bearer token. Generate an API key at https://alien.dev/api-keys

In: header

Path Parameters

id*string

Unique identifier for the deployment group.

Matchdg_[0-9a-z]{28}$

Query Parameters

workspace?string

Workspace name or ID. Required for user/session/OAuth requests. Optional for API keys because API keys are workspace-scoped; if provided with an API key, it must identify the key's workspace.

Match^(?:ws_[0-9a-zA-Z]{24}|(?!ws[-_])[a-z0-9](-?[a-z0-9])*)$
Length4 <= length <= 100

Response Body

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/v1/deployment-groups/dg_r27ict8c7vcgsumpj90ackf7b/container-registry/revoke"
{  "id": "crroute_c9t4xoy7fmiq7equtu20",  "deploymentId": "dep_0c29fq4a2yjb7kx3smwdgxlc",  "managerId": "string",  "resourceId": "string",  "resourceRevision": "string",  "desiredRevision": 0,  "appliedRevision": 0,  "status": "resolving",  "lastVerifiedAt": "2019-08-24T14:15:22Z",  "lastError": "string"}